## org.apache.cassandra.concurrent
Class StageManager

    java.lang.Object
      org.apache.cassandra.concurrent.StageManager

    public class StageManager

extends java.lang.Object

This class manages executor services for Messages recieved: each Message requests running on a specific "stage" for concurrency control; hence the Map approach, even though stages (executors) are not created dynamically.

Field Summary
`static long` `KEEPALIVE`

Constructor Summary
`StageManager()`

Method Summary
`static java.util.concurrent.ThreadPoolExecutor` `getStage(Stage stage)` Retrieve a stage from the StageManager
`static void` `shutdownNow()` This method shuts down all registered stages.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KEEPALIVE

    public static final long KEEPALIVE

See Also:
  Constant Field Values

Constructor Detail

### StageManager

    public StageManager()

Method Detail

### getStage

    public static java.util.concurrent.ThreadPoolExecutor getStage(Stage stage)

  Retrieve a stage from the StageManager

  Parameters:
    `stage` - name of the stage to be retrieved.

### shutdownNow

    public static void shutdownNow()

  This method shuts down all registered stages.

Copyright © 2012 The Apache Software Foundation